<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="com.lukouguoji.module_base.ui.weight.data.layout.DataLayoutType" />

        <variable
            name="viewModel"
            type="com.lukouguoji.gnc.page.stash.details.GncPdaStashDetailsViewModel" />
    </data>

        <LinearLayout

        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />
        <androidx.core.widget.NestedScrollView
            shape_bg_color="@{@color/white}"
            shape_radius="@{8}"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:paddingHorizontal="10dp"
            android:paddingVertical="5dp">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="运单号:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.wbNo}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="运单件数:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.pc}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="运单重量:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.weight}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>



                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="代理人:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.agentCode}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="特码:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.spCode}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="品名:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.goods}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="航程:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.range}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="库位:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.location}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="运单类型:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.awbType}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="业务类型:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.businessType}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="包装类型:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.packageType}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="计划航班:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.flight}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>



                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="收运人:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.username}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="入库时间:"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:editable="false"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.opDate}"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_weight="1" />

            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </LinearLayout>

</layout>